Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nwoods.jgo
Class JGoSnapEditor

    java.lang.Object
      java.beans.PropertyEditorSupport
          com.nwoods.jgo.JGoSnapEditor

All Implemented Interfaces:
  java.beans.PropertyEditor

public class JGoSnapEditor
extends java.beans.PropertyEditorSupport
implements java.beans.PropertyEditor

This class is a PropertyEditor, primarily intended for use by java development environments, so that these environments can provide provide better editors for the integer "SnapeMove" and "SnapResize" properties of the JGoView bean. For more detailed information, refer to the java.beans.PropertyEditor interface.

Constructor Summary
`JGoSnapEditor()` Create a new JGoSnapEditor.

Method Summary
`java.lang.String` | `getAsText()` Gets the current property value represented as a String.
`java.lang.String` | `getJavaInitializationString()` Identifies the java code representing the current value of this property.
`java.lang.String[]` | `getTags()` Identifies the strings that represent the legal, enumerated values for the property.
`void` | `setAsText(java.lang.String sTxt)` Sets the current property value from the given String.

Methods inherited from class java.beans.PropertyEditorSupport
`addPropertyChangeListener, firePropertyChange, getCustomEditor, getValue, isPaintable, paintValue, removePropertyChangeListener, setValue, supportsCustomEditor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.beans.PropertyEditor
`addPropertyChangeListener, getCustomEditor, getValue, isPaintable, paintValue, removePropertyChangeListener, setValue, supportsCustomEditor`

Constructor Detail

### JGoSnapEditor

    public JGoSnapEditor()

  Create a new JGoSnapEditor.

Method Detail

### getTags

    public java.lang.String[] getTags()

  Identifies the strings that represent the legal, enumerated values for the property.

  Specified by:
    `getTags` in interface `java.beans.PropertyEditor`
  Returns:
    an array of strings containing the legal, enumerated values for the property

### getAsText

    public java.lang.String getAsText()

  Gets the current property value represented as a String.

  Specified by:
    `getAsText` in interface `java.beans.PropertyEditor`
  Returns:
    the current property value represented as a String.

### setAsText

    public void setAsText(java.lang.String sTxt)
                   throws java.lang.IllegalArgumentException

  Sets the current property value from the given String.

  Specified by:
    `setAsText` in interface `java.beans.PropertyEditor`
  Parameters:
    `sTxt` - the String identify the new property value
  Throws:
    `java.lang.IllegalArgumentException`

### getJavaInitializationString

    public java.lang.String getJavaInitializationString()

  Identifies the java code representing the current value of this property.

  Specified by:
    `getJavaInitializationString` in interface `java.beans.PropertyEditor`
  Returns:
    a String containing the java code representing the current value of this property

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD